/* roboto-regular - latin */
@font-face {
  font-display: swap; 
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/roboto-v48-latin-regular.woff2') format('woff2'); 
}
/* roboto-500 */
@font-face {
  font-display: swap; 
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/roboto-v48-latin-500.woff2') format('woff2'); 
}
/* roboto-700 */
@font-face {
  font-display: swap; 
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/roboto-v48-latin-700.woff2') format('woff2'); 
}

*{
	box-sizing: border-box;
}

html, body{ 
  height: 100%; 
  margin: 0; padding: 0; 
}

a{ text-decoration: none; }

h2, h3, h4, h5, nav a{ 
font-family: 'Roboto', sans-serif; 
font-weight: 500; 
text-transform: uppercase; 
color: #0e4f70; 
}

h1{ 
	font-family: 'Roboto', sans-serif; 
	font-weight: 500; 
	font-size: 1.2em; 
	margin:0.6em 0; 
}
h2{ 
	padding: 11% 0 0.2em 0; 
	margin-bottom: 0.2em;
	font-size: 1.5em; 
	text-align: center;
}
h3{
	margin: 1em 0 0.5em 0;
}
p{
	margin: 0.5em 0;
}

hr{ width: 30px; height: 3px; background: #0e4f70; border: 0; margin: 0 auto 40px auto; }

p, a, li{ color: #072c3e;}
h5{font-size: .9em; margin: 1.5em 0 0.3em 0;}


#logo, header li{ 
	transition: all 300ms; 
	-webkit-transition: all 300ms; 
	-moz-transition: all 300ms; 
	-o-transition: all 300ms; 
}

header{
  width: 100%; 
  position: fixed;
  display: flex;
  flex-direction: row;
  background-color: white;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  z-index: 2;
}

/* Logo und Firmierung */
header #logo{
	width: 85%;
}
header nav{
	width: 15%;
}
header > * {
  padding: .6rem;
}

div#logo img{
	display: block;
	height: auto;
	max-width: 60px;
	float:left;
	margin-right: .5em;
}

#logo:hover{
  opacity: 0.5;
}

header ul {
  display: flex;
  list-style: none;
  gap: 1rem;
}

header nav > ul li:hover{
  text-decoration: underline;
}

header nav > ul {
 display: none !important;
}
header nav > details{
 display: block !important;
}
header nav > details > summary {
  cursor: pointer;
  list-style: none;
  display: block;
  text-align: end;
  height: 2rem;
  transition: margin-bottom 150ms ease-out;
}

header nav > details > ul{
 flex-direction: column;
 align-items: end;
 margin: 0;
}
header nav > details[open] > summary {
  margin-bottom: 1rem;
}

/* alternative image for open mobile menu */
header nav > details[open] > summary::after {
  background-image: url(../bilder/close.svg);
}
/* custom image for mobile menu */
header nav > details > summary::after {
  content: '';
  background-image: url(../bilder/bars.svg);
  background-size: 2rem 2rem;
  display: inline-block;
  width: 2rem;
  height: 2rem;
}

#logo img{
 max-height: 2.5em;
}

/* Footer */
footer{
  width: 100%; 
  position: fixed;
  height: 65px;
  bottom: 0;
  left: 0;
  background-color: #8dc643;
}

footer nav ul{
	list-style: none;
	margin: 0 auto;
	padding: 0;
	width: 100%;
	max-width: 900px;
	position: relative;
}

footer li{
	float: left;
	width: 30%;
	height: 100%;
	margin: 0;
	padding: 0;
}

footer a{
	display: flex;
	width: 100%;
	height: 100%;
	justify-content: center;
	align-items: center;
	text-decoration: none;
	position: relative;
	font-size: .8em;
}

/* Section */
section{
	min-height: 100vh;
	padding: 7rem 1rem 1rem 1rem;
}
section#start{
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}
img#sundt{
	display: block;
	width: 95%;
	transition: transform 0.7s ease;
	-webkit-transition: transform 0.7s ease;
	-moz-transition: transform 0.7s ease;
	-o-transition: transform 0.7s ease;
	transform: scale(100%);
	transform-origin:	bottom;
}

section#leistungen{
	background-color: #caeefb; 
}
section#leistungen #figur1 img{
	display: block;
	width: 30%;
	height: auto;
	float: left;
	margin: 1em 1em 1em 0;
}


/* Kontakt */
#kontakt {
	background-color: #c3b0a1;
}
#kontakt .grid{
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	background-image: url(../bilder/silvio-tinius-fenster-reinigung.png);
	background-repeat: no-repeat;
	background-position-x:right;
	background-size: contain;
}
#kontakt h3, #kontakt p{
	background-color: white;
}
#kontakt h3{
	padding: 0.4em 0.7em;
}
#kontakt p{
	padding: 0.3em 0.7em;
	margin-left: 1.0em;
}

/* MEDIA QUERIES ***/

/* MOBILE */
@media screen and (min-width: 576px) {
	h3{
		margin: 1.3em 0 0.5em 0;
	}
	section#leistungen #figur1 img{
		margin: 1.5em 2em 1.5em 0;
	}
	#kontakt .grid{
		align-items: flex-end;
		padding-right: 200px;
	}
	#kontakt h3{
		margin-right: 1.5em;
	}
}

@media screen and (min-width: 688px) {
	#kontakt .grid{
		padding-right: 300px;
	}
}
/* TABLET */
@media screen and (min-width: 768px) {
	header{
		justify-content: space-between;
	}
	header #logo{
		width: 45%;
	}
	header nav{
		width: 55%;
	}
	header h1{
		font-size: 1.2em; 
	}

	/* Navigation horizontal ohne Hamburger Menü */
	header nav > ul {
		display: flex !important;
		flex-direction: row;
		justify-content: flex-end;
		padding-right: 0.5em;
	}
	header nav > details {
	  display: none !important;
	}

	/* Main */
	main{
	  padding: 4rem 1rem 1rem;
	}

	h2{ 
		padding: 1em 0 0.2em 0; 
		margin-top: 0;
		font-size: 2em; 
	}

	/* Section Leistungen */
	#row1, #row3{
  		display: flex; 
		flex-direction: column;
	}
	#row2{
  		display: flex; 
		flex-direction: row;
		justify-content: space-between;
	}
	.leistungstext{
		margin: 2%;
	}
	#row1, #row2{
		padding-bottom: 1.5rem;
	}
	div#hauswart, div#reinigung, 
	div#gartenarbeit, div#winterdienst{
		width: 100%;
		height: auto;
		padding-bottom: 0;
	}
	div#figur1{ 
		border-radius:50%; 
		background-color: white; 
		width: 250px; 
		height: 250px; 
	}
	section#leistungen #figur1 img{
		width: 100%; 
		height: auto; 
	}
	div#entruempelung{ 
		width: 50%; 
		height: auto; 
		padding-bottom:0; 
	}
}

@media screen and (min-width: 992px) {
	h2{ 
		font-size: 2.5em; 
	}
	#row1, #row3{
		flex-direction: row; 
	}
	.blase{
		display: flex;
		align-items: center;
		justify-content: center;
		border-radius: 50%; 
		width: 350px;
		height: 350px;
	}
	.leistungstext{
		text-align:center;
		width: 230px;
		height: 230px;
	}
	div#reinigung, div#winterdienst{
		width: 320px;
		height: 320px;
	}
	div#gartenarbeit, div#hauswart{
		width: 280px;
		height: 280px;
		margin-right: 3em;
	}
	div#entruempelung{
		width: 300px;
		height: 300px;
	}
	div#hauswart, div#winterdienst{
		background-color: #0dcaf02e;
	}
	div#gartenarbeit, div#entruempelung{
		background-color: #0d6efd17;
	}
	div#reinigung{
		background-color: #0d46f024;
	}
	div#row1{justify-content: space-around;}
	div#row2{ justify-content: space-evenly;padding: 1rem 5rem; }
	div#row3{justify-content: space-between;padding: 0 2rem;}

	/* KONTAKT */
	#kontakt h3{
		font-size: 1.7em;
	}
	#kontakt p{
		font-size: 1.2em;
	}
}

@media screen and (min-width: 1200px) {
	h2{ 
		font-size: 2.7em; 
	}
	section#leistungen > div, section#kontakt > div{
		max-width:1200px;
		margin: 0 auto;
	}
}
@media screen and (min-width: 1400px) {
}

@media (prefers-reduced-motion: no-preference) {
  body {
    margin: 0;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
    scroll-padding: 0; 
  }

  section {
    min-height: 100vh;
    scroll-snap-align: start;
    scroll-margin: 0; 
  }
}
